Bug 616545 - Add support for iguanaIR to lirc
Add support for iguanaIR to lirc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lirc (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On: 642773 891339
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 14:29 EDT by MartinG
Modified: 2013-01-02 11:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:32:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MartinG 2010-07-20 14:29:31 EDT
Feature request (FutureFeature):

Add support for iguanaIR to lirc.

Since Fedora 9 (or something) I have had to do a 
# yum  --nogpgcheck downgrade lirc-{,libs-}0.*.iguana.x86_64.rpm
in order to have my IguanaWorks [1] USB IR dongle working with lirc. 

Since the source code is available [2], would it be possible to include it in lirc? 

Or maybe better - split all third party drivers into separate packages that can simply be installed as addons?


[1] http://iguanaworks.net/downloads.php?distro=rpm
[2] http://iguanaworks.net/downloads/iguanaIR-1.0pre2.tar.bz2
Comment 1 Jarod Wilson 2010-07-20 15:22:12 EDT
Heh, you're in luck (at least, sort of)... This just moved near the top of my TODO list, as I *just* got IguanaIR hardware in the mail this morning. I'd swear there was an iguanaIR package review somewhere, but it doesn't look like it was ever completed. Getting that accepted as a package is definitely the first step. I can't for the life of me find the package review bug I thought existed though. I'll try to take a closer look at the iguanaIR bits this week.
Comment 2 Bug Zapper 2011-06-01 09:20:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jarod Wilson 2011-06-01 11:01:27 EDT
I swear this will actually get taken care of Real Soon Now... Moving to F15...
Comment 4 Fedora End Of Life 2012-08-07 15:32:13 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.